cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Xerox Analyst
Xerox Analyst

4.0.2.2 preinstaller and upgrade path documentation issues

preinstaller.png

I had a customer trying to upgrade from 4.0.1.1 to 4.0.2.2 and discovered this language on the Xerox website for the new preinstaller. I find this language unnecessarily vague and uninformative. It could mean that it's only for customers that have SQL 2014, or for the installation only, or only if you WANT 2014. Based on the text above and lack of information in any supporting documentation, I could not tell her if this was something she needed to run, what the impact would be if she did run it (would it force 2014? this is a joint XMPie/Core server), or if it was necessary at all for an iterative patch upgrade.

Before calling me, she had been trying to run it and it was not working. I discovered from discussing with my team members that the preinstaller includes, and unpacks, SQL 2014 and Management Studio. So perhaps it was a space requirement issue. Not it is quantified anywhere the space requirement for an existing server to use this in an upgrade path.

My customer then tried running the 4.0.2.2 sans preinstaller, got the "Unable to Connect to Freeflow Core License manager" error, but before I could direct her otherwise to fix this, she ran a repair installation and got "Error occurred launching database configuration tool". Now it is also my understanding that "repair" may do more harm than good, but I don't see any advisement against it anywhere.

I think at the very least out of all of this, the Xerox website should have documentation on the preinstaller, or at least a better description than what's shown above.

 


Also, I volunteer as tribute to write documentation for Core.

0 Kudos
1 Reply
FreeFlow Production Workflow Moderator
FreeFlow Production Workflow Moderator

Re: 4.0.2.2 preinstaller and upgrade path documentation issues

Thanks for the feedback.

 

The pre-installer utility was introduced in version 4.0 Service Pack 1 (4.0.1.0), and is generally intended to help streamline the installation process by automatically configuring prerequisite software requirements, and installing and configuring Microsoft SQL Server 2014 Express if an alternate supported database is not dectected.

 

General information about the preinstaller utility may be found in the Release Notes (under '4.0.1.0 New Features'). For new customers, the steps to use the preinstaller utility are located in the Installation Guide(s). For existing customer upgrades, the steps are described in the 'Installation Procedures" section of the Release Notes.

 

The Release Notes, Installation Guides and a variety of other resources for customers may be downloaded from Xerox.com > Support & Drivers.

 

If you have suggestions on ways that we may improve this information, please do not hesitate to send me a message.